Subject: Re: [PATCH] Windows: only add a no-op pthread_sigmask() when needed

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 May 2016 14:01:17 -0700

Johannes Schindelin <[email-masked]> writes:

> So I guess that you're preferring my 2. above. Going on that assumption, I
> will send out another iteration.

OK.

>> Also is
>> https://lists.gnu.org/archive/html/bug-gnulib/2015-04/msg00068.html
>> relevant?  Does /mingw64/x86_64-w64-mingw32/include/ implement "macro
>> only without function"?
>
> Yes, it has that problem. Do we care, really?

Not really.  I was curious how actively this area is evolving;
knowing that would help me judge pros-and-cons between your 1 & 2
above.